dnl ah_alternative.m4
dnl Copyright (C) 2005 Thien-Thi Nguyen
dnl
dnl This file is a part of Autoconf for VMS.
dnl
dnl Autoconf for VMS is free software; you can redistribute it and/or
dnl modify it under the terms of the GNU General Public License
dnl as published by the Free Software Foundation; either version 2
dnl of the License, or (at your option) any later version.
dnl
dnl Autoconf for VMS is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with Autoconf for VMS; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
dnl
dnl Author: Richard Levitte
dnl
dnl --------------------------------------------------------------------------
dnl These are the alternate definitions of the acgeneral.m4 macros we want to
dnl redefine.  They produce strings in the output marked with "@@@" so we can
dnl easily extract the information we want.  The hash at the end of the first
dnl line of each definition seems to be necessary to prevent m4 from eating
dnl the newline, which makes the @@@ not always be at the beginning of a line.
define([AC_DEFINE],[#
@@@syms=syms+" $1"@@@
])dnl
define([AC_SIZEOF_TYPE],[#
@@@type=type+",$1"@@@
])dnl
define([AC_HAVE_FUNCS],[#
@@@function=function+" $1"@@@
])dnl
define([AC_HAVE_HEADERS],[#
@@@header=header+" $1"@@@
])dnl
define([AC_CONFIG_HEADER],[#
@@@config_h="[$*]"@@@
])dnl
define([AC_HAVE_LIBRARY], [#
@@@library=library+" $1"@@@
$!# If it was found, we do:
$2
$!# If it was not found, we do:
$3
])dnl
dnl ah_alternative.m4 ends here
