$!# CONFIGURE.COM for Autoconf for VMS
$!#
$!# Copyright (C) 2005 Thien-Thi Nguyen
$!#
$!# This file is a part of Autoconf for VMS.
$!#
$!# Autoconf for VMS is free software; you can redistribute it and/or
$!# modify it under the terms of the GNU General Public License
$!# as published by the Free Software Foundation; either version 2
$!# of the License, or (at your option) any later version.
$!#
$!# Autoconf for VMS is distributed in the hope that it will be useful,
$!# but WITHOUT ANY WARRANTY; without even the implied warranty of
$!# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
$!# GNU General Public License for more details.
$!#
$!# You should have received a copy of the GNU General Public License
$!# along with Autoconf for VMS; if not, write to the Free Software
$!# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
$!#
$	set symbol/verb/scope=(noglobal,nolocal)
$	goto passed_subroutines
$
$ count_args:
$	ac_count = 8
$ count_args1:
$	if ac_count .eq. 0 then return
$	if p'ac_count' .nes. "" then return
$	ac_count = ac_count - 1
$	goto count_args1
$
$
$ process_arg:
$	ac_label = default_lable
$	ac_optarg = "="
$	_n1 = -1
$ process_arg0:
$	_n1 = _n1 + 1
$	if _n1 .ge. n_possible_args then return
$	_i1 = 0
$ process_arg1:
$	_e1 = f$element (_i1, "|", possible_args_'_n1')
$	_i1 = _i1 + 1
$	if "''_e1'" .eqs. "|" then goto process_arg0
$	_s = f$element (0, ":", _e1)
$	_l = f$element (1, ":", _e1)
$	_i2 = 0
$ process_arg2:
$	_e2 = f$element (_i2, "/", "''_s'")
$	_i2 = _i2 + 1
$	if "''_e2'" .eqs. "/" then goto process_arg1
$	_s1 = f$element (0, "*", _e2)
$	_s2 = f$element (1, "*", _e2)
$	if "''_s2'" .eqs. "*" then _s2 = ""
$	_s3 = f$element (0, "&", _s1 + _s2)
$	_s4 = f$element (1, "&", "''_s1'" + "''_s2'")
$	check_amp := true
$	if _s4 .eqs. "&" then check_amp := false
$	if _s4 .eqs. "&" then _s3 = f$element (0, "=", _s1 + _s2)
$	if _s4 .eqs. "&" then _s4 = f$element (1, "=", _s1 + _s2)
$	_p1 = f$element (0, "=", ac_option)
$	_p2 = f$element (1, "=", ac_option)
$	if (.not. check_amp) -
	   .and. "''_p1'" .nes. f$extract (0, f$length (_p1), "''_s3'") -
	   then goto process_arg2
$	if (check_amp) -
	   .and. "''_s3'" .nes. f$extract (0, f$length (_s3), _p1) -
	   then goto process_arg2
$	if f$length (_p1) .lt. f$length (_s1) then goto process_arg_err
$	if (_s4 .eqs. "=" .and. _p2 .nes. "=") then goto process_arg_err
$	ac_optarg = _p2
$	if check_amp then ac_package = f$extract (f$length (_s3), 999, _p1)
$	ac_label = _l
$	return
$ process_arg_err:
$	ac_label = error_lable
$	return
$
$
$ shift:
$	p1 = p2
$	p2 = p3
$	p3 = p4
$	p4 = p5
$	p5 = p6
$	p6 = p7
$	p7 = p8
$	p8 = ""
$	ac_count = ac_count - 1
$	return
$
$ ac_usage:
$	ac_w := write 'ac_usage_output'
$	ac_w "Usage: configure options host"
$	ac_w "Options: defaults in brackets after descriptions"
$ ac_usage_arg:
$	_n1 = -1
$ ac_usage_arg0:
$	_n1 = _n1 + 1
$	if _n1 .ge. n_possible_args then return
$	_i1 = 0
$ ac_usage_arg1:
$	_e1 = f$element (_i1, "|", possible_args_'_n1')
$	_i1 = _i1 + 1
$	if "''_e1'" .eqs. "|" then goto ac_usage_arg0
$	_s = f$element (0, ":", _e1)
$	_l = f$element (1, ":", _e1)
$	_d = f$extract (f$length (_s)+f$length (_l)+2, f$length (_e1), _e1)
$	if _d .nes. ":" .and. _d .nes. "" then ac_w _d
$	goto ac_usage_arg1
$	return
$
$ passed_subroutines:
$
$
$	configure_args = p1+" "+p2+" "+p3+" "+p4+" "+p5+" "+p6+" "+p7+" "+p8+" "
$
$	prefix := SYS$SYSDEVICE:[GNU]
$	STARTUPDIR := SYS$COMMON:[SYS$STARTUP]
$
$	build:=NONE
$	host:=NONE
$	no_create:=NO
$	nonopt:=NONE
$	norecursion:=NO
$! prefix:=
$	exec_prefix:=
$	bindir:=
$	infodir:=
$	libdir:=
$	program_prefix:=
$	program_suffix:=
$	program_transform_name:=
$	silent:=NO
$	srcdir:=
$	target:=NONE
$	verbose:=NO
$	x_includes:=
$	x_libraries:=
$
$	possible_args_0 = "-BUILD=/--B*UILD=:A_BUILD:"+-
			  "--build=BUILD		configure for building on BUILD BUILD=HOST"
$	possible_args_1 = "-DISABLE-&/--DISABLE-&:A_DISABLE:"+-
			  "--disable-FEATURE	do not include FEATURE (same as --enable-FEATURE=no)"
$	possible_args_2 = "-ENABLE-&=/--ENABLE-&=:A_ENABLE:"+-
			  "--enable-FEATURE=ARG	include FEATURE ARG=yes"
$	possible_args_3 = "-EXEC-PREFIX=/-EXEC_PREFIX=/--E*XEC-PREFIX=:A_EXEC_PREFIX:"+-
			  "--exec-prefix=PREFIX	install host dependent files in PREFIX /usr/local"
$	possible_args_4 = "-GAS=/--G*AS:A_GAS"
$	possible_args_5 = "-HELP=/--HE*LP:A_HELP:"+-
			  "--help			print this message"
$	possible_args_6 = "-HOST=/--HO*ST=:A_HOST:"+-
			  "--host=HOST		configure for HOST guessed"
$	possible_args_7 = "-NFP=/--NF*P:A_NFP"
$	possible_args_8 = "-NO-CREATE=/--NO-C*REATE:A_NO_CREATE"
$	possible_args_9 = "-NORECURSION=/--NOR*ECURSION:A_NORECURSION"
$	possible_args_10 = "-PREFIX/--P*REFIX=:A_PREFIX:"+-
			   "--prefix=PREFIX		install host independent files in PREFIX /usr/local"
$	possible_args_11 = "-PROGRAM-PREFIX/--PROGRAM-P*REFIX=:A_PROGRAM_PREFIX"
$	possible_args_12 = "-PROGRAM-SUFFIX/--PROGRAM-S*UFFIX=:A_PROGRAM_SUFFIX"
$	possible_args_13 = "-PROGRAM-TRANSFORM-NAME/--PROGRAM-T*RANSFORM-NAME=:A_PROGRAM_TRANSFORM_NAME"
$	possible_args_14 = "-Q/-QUIET/-SILENT/--Q*UIET/--SIL*ENT:A_SILENT:"+-
			   "--quiet, --silent	do not print `checking for...' messages"
$	possible_args_15 = "-SRCDIR=/--S*RCDIR=:A_SRCDIR:"+-
			   "--srcdir=DIR		find the sources in DIR configure dir or .."
$	possible_args_16 = "-TARGET=/--T*ARGET=:A_HOST:"+-
			   "--target=TARGET		configure for TARGET TARGET=HOST"
$	possible_args_17 = "-V/-VERBOSE/--VERB*OSE:A_VERBOSE:"+-
			   "--verbose		print results of checks"
$	possible_args_18 = "-VERSION/--VERS*ION:A_VERSION:"+-
			   "--version		print the version of autoconf that created configure"
$	possible_args_19 = "-WITH-&=/--WITH-&=:A_WITH:"+-
			   "--with-PACKAGE=ARG	use PACKAGE ARG=yes"
$	possible_args_20 = "-WITHOUT-&/--WITHOUT-&:A_WITHOUT:"+-
			   "--without-PACKAGE	do not use PACKAGE (same as --with-PACKAGE=no)"
$	possible_args_21 = "--X:A_X"
$	possible_args_22 = "-X-INCLUDES=/--X-I*NCLUDES=:A_X_INCLUDES:"+-
			   "--x-includes=DIR	X include files are in DIR"
$	possible_args_23 = "-X-LIBRARIES=/--X-L*IBRARIES=:A_X_LIBRARIES:"+-
			   "--x-libraries=DIR	X library files are in DIR"
$	possible_args_24 = "-STARTUPDIR/--ST*ARTUPDIR=:A_STARTUPDIR:"+-
			   "--startupdir=DIR	define the directory for the startup database"
$	n_possible_args = 25
$	default_lable := A_SKIP
$	error_lable := A_ERROR
$	gosub count_args ! generates AC_COUNT
$	i = 0
$	ac_prev :=
$	goto ac_arg_file_init
$ ac_arg_file_err:
$	ac_tmp = f$message ($status)
$	write sys$error "configure: warning: ", "could not open file ''ac_arg_file_name'"
$	write sys$error "configure:          ", "''ac_tmp'"
$	got ac_arg_file_init
$ ac_arg_file_end:
$	close ac_arg_file
$ ac_arg_file_init:
$	ac_args_from_file := NO
$	ac_arg_line :=
$ ac_arg_loop:
$	if i .ge. ac_count .and. .not. ac_args_from_file then goto ac_arg_loopend
$	if ac_args_from_file then goto ac_arg_file_loop
$	i = i + 1
$	ac_option = p'i'
$	ac_label = ""
$	goto ac_arg_prev
$ ac_arg_file_loop:
$	if ac_arg_line .nes. "" then goto ac_arg_file_loop1
$	read/error=ac_arg_file_end/end=ac_arg_file_end ac_arg_file ac_arg_line
$	goto ac_arg_file_loop
$ ac_arg_file_loop1:
$	ac_option :=
$	ac_arg_line = f$edit (ac_arg_line, "TRIM")
$ ac_arg_file_loop2:
$	if ac_arg_line .eqs. "" then goto ac_arg_file_loop5
$	ac_i1 = f$locate (" ", ac_arg_line)
$ ac_arg_file_loop3:
$	ac_i2 = f$locate ("""", ac_arg_line)
$	if ac_i2 .ge. ac_i1 then goto ac_arg_file_loop4
$	ac_option = ac_option + f$extract (0, ac_i2, ac_arg_line)
$	ac_arg_line = f$extract (ac_i2, f$length (ac_arg_line)-ac_i2, ac_arg_line)
$	ac_i1 = ac_i1 - ac_i2
$	ac_i2 = f$locate ("""", ac_arg_line)
$	ac_option = ac_option + f$extract (0, ac_i2, ac_arg_line)
$	ac_arg_line = f$extract (ac_i2, f$length (ac_arg_line)-ac_i2, ac_arg_line)
$	ac_i1 = ac_i1 - ac_i2
$	if ac_i1 .lt. ac_i1 then goto ac_arg_file_loop2: ! The space was between quotes
$	goto ac_arg_file_loop3
$ ac_arg_file_loop4:
$	ac_option = ac_option + f$extract (0, ac_i1, ac_arg_line)
$	ac_arg_line = f$extract (ac_i1, f$length (ac_arg_line)-ac_i1, ac_arg_line)
$ ac_arg_file_loop5:
$	! This should make sure the argument is treated the same way as a command
$	! line argument.
$	ac_option := 'ac_option'
$
$ ac_arg_prev:
$	if ac_prev .eqs. "" then goto ac_arg_no_prev
$	'ac_prev' = ac_option
$	ac_prev = ""
$	goto ac_arg_loop
$
$ ac_arg_no_prev:
$	if f$extract (0, 1, ac_option) .nes. "+" then goto ac_arg_loop1
$	ac_arg_file_name = f$extract (1, 999, ac_option)
$	open/read/error=ac_arg_file_err ac_arg_file 'ac_arg_file_name'
$	ac_args_from_file := YES
$	goto ac_arg_loop
$
$ ac_arg_loop1:
$	gosub process_arg ! generates AC_LABEL and AC_OPTION
$	goto 'ac_label'
$ A_STARTUPDIR:
$ A_BUILD:
$ A_EXEC_PREFIX:
$ A_HOST:
$ A_PREFIX:
$ A_PROGRAM_PREFIX:
$ A_PROGRAM_SUFFIX:
$ A_PROGRAM_TRANSFORM_NAME:
$ A_SRCDIR:
$ A_TARGET:
$ A_X_INCLUDES:
$ A_X_LIBRARIES:
$	ac_varname = ac_label - "A_"
$	if ac_optarg .eqs. "=" then ac_prev := 'ac_varname'
$	if ac_optarg .nes. "=" then 'ac_varname' = ac_optarg
$	goto ac_arg_loop
$ A_NO_CREATE:
$ A_NORECURSION:
$ A_SILENT:
$ A_VERBOSE:
$	ac_varname = ac_label - "A_"
$	'ac_varname' := YES
$	goto ac_arg_loop
$ A_GAS:
$ A_X:
$	ac_varname = ac_label - "A_"
$	with_'ac_varname' := YES
$	goto ac_arg_loop
$ A_NFP:
$	with_fp := NO
$	goto ac_arg_loop
$ A_ENABLE:
$ A_DISABLE:
$	ac_name = ac_package
$	gosub A_check_name
$	if ac_check then goto ac_process_feature
$	write sys$error "configure: ", "''ac_package': invalid feature name"
$	exit 2
$	goto ac_arg_loop
$ ac_process_feature:
$	if ac_optarg .eqs. "=" then ac_optarg := YES
$	if ac_label .eqs. "A_DISABLE" then ac_optarg := NO
$	enable_'ac_name' = ac_optarg
$	goto ac_arg_loop
$ A_WITH:
$ A_WITHOUT:
$	ac_name = ac_package
$	gosub A_check_name
$	if ac_check then goto ac_process_package
$	write sys$error "configure: ", "''ac_package': invalid package name"
$	exit 2
$	goto ac_arg_loop
$ ac_process_package:
$	if ac_optarg .eqs. "=" then ac_optarg := YES
$	if ac_label .eqs. "A_WITHOUT" then ac_optarg := NO
$	with_'ac_name' = ac_optarg
$	goto ac_arg_loop
$ A_HELP:
$	ac_usage_output := sys$output
$	gosub ac_usage
$	exit
$ A_VERSION:
$	write sys$output "configure generated by Autoconf for VMS version 1.105"
$	exit
$ A_SKIP:
$	if f$extract (0, 1, ac_option) .eqs. "-" then goto A_ERROR
$	ac_name = f$edit (ac_option, "LOWERCASE")
$	gosub A_check_name_no_convert
$	if ac_check then goto A_SKIP1
$	write sys$error "configure: warning: ", "''ac_option': invalid host type"
$ A_SKIP1:
$	if nonopt .eqs. "NONE" then goto A_SKIP2
$	write sys$error "configure: ", "can only configure for one host and one target at a time"
$	exit 2
$ A_SKIP2:
$	nonopt = ac_option
$	goto ac_arg_loop
$ A_ERROR:
$	write sys$error "configure: ", "''ac_option': invalid option; use --help to show usage"
$	exit 2
$	goto ac_arg_loop
$
$ A_check_name:
$	ac_convert := yes
$	goto A_check_name1
$ A_check_name_no_convert:
$	ac_convert := no
$ A_check_name1:
$	ac_p = f$length (ac_name)
$	ac_check := YES
$ ac_loop_name:
$	ac_p = ac_p - 1
$	if ac_p .eq. -1 then goto ac_loop_name_end
$	ac_e = f$extract (ac_p, 1, ac_name)
$	if ac_e .eqs. "-" .and. ac_convert then -
	   ac_nameac_p*8, 8 = 95 ! an underscore
$	if ac_e .eqs. "-" .or. ac_e .eqs. "_" -
	   .or. (ac_e .ges. "a" .and. ac_e .les. "z") -
	   .or. (ac_e .ges. "A" .and. ac_e .les. "A") -
	   .or. (ac_e .ges. "0" .and. ac_e .les. "9") then goto ac_loop_name
$	ac_check := NO
$ ac_loop_name_end:
$	return
$ ac_arg_loopend:
$	if ac_prev .eqs. "" then goto ac_arg_end
$
$	ac_p = f$length (ac_prev)
$ ac_arg_loopend1:
$	ac_p = ac_p - 1
$	if ac_p .eq. -1 then goto ac_arg_loopend2
$	ac_e = f$extract (ac_p, 1, ac_prev)
$	if ac_e .eqs. "_" then ac_prevac_p*8, 8 = 45 ! a dash
$	goto ac_arg_loopend1
$ ac_arg_loopend2:
$	write sys$error "configure: ", "missing argument to --''ac_prev'"
$	exit 2
$ ac_arg_end:
$
$	ac_DCL_message = f$environment ("MESSAGE")
$	ac_DCL_verify = f$verify (0)
$	! 'f$verify (ac_DCL_verify)
$	ac_DCL_original_directory = f$trnlnm ("SYS$DISK")+f$directory ()
$	on warning then continue
$	on error then goto ac_bail_out
$	on severe_error then goto ac_bail_out
$	on control_y then goto ac_bail_out
$	goto ac_passed_subroutines
$!
$ ac_gluefilename: subroutine
$	rsym = "''p1'"		! assign to this symbol (side effect)
$	frag = "''p2'"		! FILE or [.DIR]FILE
$	fore = "''p3'"		! [.DIR]
$	mid = ""
$	if "" .nes. fore
$	then
$	    len = f$length (fore)
$	    subp = ("[." .eqs. f$extract (0, 2, frag))
$	    wholep = ("]" .eqs. f$extract (len - 1, 1, fore))
$	    if subp
$	    then
$		frag = f$extract (1, f$length (frag), frag)
$		if wholep then fore = f$extract (0, len - 1, fore)
$	    else
$		if .not. wholep then mid = "]"
$	    endif
$	endif
$	ac_rexp == "''rsym' := " + fore + mid + frag
$	endsubroutine
$!
$ ac_setdirdev: subroutine
$	! just shoot me now --ttn
$	ac_rexp == "pipe ''p1'_dir = """ + -
		   f$parse ('p1',,,"DIRECTORY") - "[" - "]" - "<" - ">" + -
		   """ ; ''p1'_dev = """ + -
		   f$parse ('p1',,,"DEVICE") + -
		   """"
$	endsubroutine
$!
$ ac_bail_out:
$	set default 'ac_DCL_original_directory'
$	set message 'ac_DCL_message'
$	goto after_VMS_DELR
$ VMS_DELR: subroutine
$	on control_y then goto VMS_DELR_STOP
$	on warning then goto VMS_DELR_exit
$	_VMS_DELR_def = f$trnlnm ("SYS$DISK")+f$directory ()
$	if f$parse (p1) .eqs. "" then exit
$	set default 'f$parse (p1,,,"DEVICE")''f$parse (p1,,,"DIRECTORY")'
$ VMS_DELR_loop:
$	_fp = f$parse (".DIR", p1)
$	_f = f$search (_fp)
$	if _f .eqs. "" then goto VMS_DELR_loopend
$	call VMS_DELR [.'f$parse (_f,,,"NAME")']*.*
$	goto VMS_DELR_loop
$ VMS_DELR_loopend:
$	_fp = f$parse (p1, ".;*")
$	if f$search (_fp) .eqs. "" then goto VMS_DELR_exit
$	set noon
$	set file/prot=(S:RWED,O:RWED,G:RWED,W:RWED) '_fp'
$	set on
$	delete/nolog '_fp'
$ VMS_DELR_exit:
$	set default '_VMS_DELR_def'
$	exit
$ VMS_DELR_STOP:
$	set default '_VMS_DELR_def'
$	stop/id=""
$	exit
$	endsubroutine
$
$ after_VMS_DELR:
$!
$	call VMS_DELR "conftest*.*"
$
$	call VMS_DELR "confdefs*.*"
$
$	exit 1 + 0 * f$verify (ac_DCL_verify)
$ ac_passed_subroutines:
$
$	if f$type (configure_args) .eqs. "" then -
	   configure_args = p1+" "+p2+" "+p3+" "+p4+" "+p5+" "+p6+" "+p7+" "+p8
$	configure_args = configure_args-" --NO-CREATE"-"--NO-CREATE "-"--NO-CREATE"
$	configure_args = configure_args-" --NORECURSION"-"--NORECURSION "-"--NORECURSION"
$
$	goto ac_prepare_after_subs
$ ac_prepare_compile_params:
$	__cflags = ""
$	if f$type (CFLAGS) .nes. "" then __cflags = CFLAGS
$	if f$type (ac_flags) .nes. "" then __cflags = __cflags + ac_flags
$	__incs = ""
$	if f$type (INCS) .nes. "" then __incs = "/include=("+INCS+")"
$	__compiler := cc
$	if f$type (ac_cc) .nes. "" then __compiler := 'ac_cc'
$	if f$type (CC) .nes. "" then __compiler := 'CC'
$	__preprocessor := cc '__cflags'/preprocess=
$	if f$type (ac_cpp) .nes. "" then __preprocessor := 'ac_cpp'
$	if f$type (CPP) .nes. "" then __preprocessor := 'CPP'
$	__extension := c
$	if f$type (ac_ext) .nes. "" then __extension = ac_ext
$	return
$ ac_prepare_preprocess:
$	gosub ac_prepare_compile_params
$! '__preprocessor' CONFTEST.OUT '__incs' conftest.'__extension'
$	'__preprocessor' CONFTEST.OUT conftest.'__extension'
$	ac_severity = $severity
$	return
$ ac_prepare_compile:
$	gosub ac_prepare_compile_params
$	'__compiler' '__cflags' /object=conftest.obj '__incs' conftest.'__extension'
$	ac_severity = $severity
$	return
$ ac_prepare_link:
$	open/write link_opt conftest.opt
$	libi = 0
$	if f$type (LIBS) .eqs. "" then libs = ""
$ ac_prepare_link_loop:
$	lib1 = f$element (libi, " ", libs)
$	libi = libi + 1
$	if lib1 .nes. " "
$	then
$	    if lib1 .nes. "" then write link_opt lib1
$	    goto ac_prepare_link_loop
$	endif
$	close link_opt
$	libc = ","
$	if "''OPTS'" .eqs. "" then libc = ""
$	link 'ldflags' conftest.obj,conftest.opt/opt 'libc' 'OPTS'
$	ac_severity = $severity
$	return
$ ac_prepare_after_subs:
$
$	ldflags := /nouserlibrary
$	ac_preprocess := gosub ac_prepare_preprocess
$	ac_compile := gosub ac_prepare_compile
$	ac_link := gosub ac_prepare_link
$
$	call VMS_DELR "conftest*.*"
$
$	if f$search ("CONFDEFS.H.*") .nes. "" then delete/nolog confdefs.h.*
$
$	open/write foo confdefs.h
$	close foo
$
$	ac_k_cwd := []
$	ac_k_par := [-]
$	ac_confirmed_srcdir :=
$
$ ac_checkuniq: subroutine
$	rexp :=
$	if "" .eqs. p2
$	then
$	    call ac_gluefilename uexp "acgen_vms.m4" 'p1'
$	    'ac_rexp'
$	    if "" .nes. f$search (uexp) then -
	       rexp = "ac_confirmed_srcdir := ''p1'"
$	endif
$	ac_rexp == rexp
$	endsubroutine
$
$	if "" .nes. "''srcdir'"
$	then
$	    call ac_checkuniq 'srcdir' 'ac_confirmed_srcdir'
$	    'ac_rexp'
$	else
$	    ac_prog = f$environment ("PROCEDURE")
$	    ac_confdir = f$parse (ac_prog,,,"NODE") +-
			 f$parse (ac_prog,,,"DEVICE") +-
			 f$parse (ac_prog,,,"DIRECTORY")
$	    if ac_confdir .nes. f$environment ("DEFAULT")
$	    then
$		call ac_checkuniq 'ac_confdir' 'ac_confirmed_srcdir'
$		'ac_rexp'
$	    endif
$	    call ac_checkuniq 'ac_k_cwd' 'ac_confirmed_srcdir'
$	    'ac_rexp'
$	    call ac_checkuniq 'ac_k_par' 'ac_confirmed_srcdir'
$	    'ac_rexp'
$	endif
$	if "" .eqs. "''ac_confirmed_srcdir'"
$	then
$	    if "" .nes. "''srcdir'"
$	    then
$	write sys$error "configure: ", "cannot find sources in `''srcdir''."
$	exit 2
$	    else
$	write sys$error "configure: ", "cannot find sources in `''ac_confdir'' or ''ac_k_par'."
$	exit 2
$	    endif
$	endif
$ ac_srcdir_confirmed:
$	srcdir = ac_confirmed_srcdir
$	call ac_setdirdev srcdir
$	'ac_rexp'
$	top_srcdir = srcdir
$	call ac_setdirdev top_srcdir
$	'ac_rexp'
$	if srcdir .eqs. ac_k_cwd .or. (f$extract (0, 2, srcdir) .eqs. -
				       f$extract (0, 2, ac_k_par))
$	then
$	    srcdir_dev :=
$	    top_srcdir_dev :=
$	endif
$	if "" .eqs. "''exec_prefix'" then exec_prefix = prefix
$	call ac_setdirdev prefix
$	'ac_rexp'
$	call ac_setdirdev exec_prefix
$	'ac_rexp'
$	call ac_gluefilename  bindir "[.BIN]"  'exec_prefix'
$	'ac_rexp'
$	call ac_gluefilename infodir "[.INFO]" 'prefix'
$	'ac_rexp'
$	call ac_gluefilename  libdir "[.LIB]"  'exec_prefix'
$	'ac_rexp'
$	call ac_setdirdev libdir
$	'ac_rexp'
$	ac_cc := cc
$	if "''CC'" .nes. "" then ac_cc = CC
$	ac_ext:=c
$	ac_cpp := 'ac_cc' 'CFLAGS' /preprocess=
$	if "''CPP'" .nes. "" then ac_cpp = CPP
$
$
$
$	version = "1.105"
$	version_underscore = "1_105"
$
$	ac_prgs = "gnum4 gm4 m4"
$	ac_i = 0
$ ac_pp_VMS_LABLE0:
$	ac_prog = f$element (ac_i, " ", ac_prgs)
$	ac_i = ac_i + 1
$	if ac_prog .nes. " "
$	then
$	if "''M4'" .eqs. ""
$	then ! We are taking a risk here, because we are really trying to start
$	     ! the program. I hope we don't get caught by this.
$	    set noon
$	__debug = f$trnlnm ("DEBUG_CONFIGURE")
$	if .not. __debug then __save_mesg_VMS_LABLE0 = f$environment ("MESSAGE")
$	if .not. __debug then set message/nofacility/noident/noseverity/notext
$	if .not. __debug then def/user sys$output nl:
$	if .not. __debug then def/user sys$error nl:
$	    ! Gasp...
$	    ac_dummy = "'ac_prog'"
$	if .not. silent then write sys$output "checking ", "for ''ac_dummy'"
$	    ac_dummy
$	    ac_status = $status
$	if .not. __debug then set message '__save_mesg_VMS_LABLE0'
$
$	    set on
$	    if ac_status .ne. %X038090 ! This is the code for an unknown verb
$	    then
$		M4 = "'ac_prog'"
$	    endif
$	endif
$	if "''M4'" .nes. "" then $	if verbose then write sys$output "	", "setting M4 to ''M4'"
$
$	    if "''M4'" .eqs. "" then goto ac_pp_VMS_LABLE0
$	endif
$	if "''M4'" .eqs. "" then M4="m4"
$
$	if f$type (INSTALL) .eqs. "" THEN -
	INSTALL:=copy/prot=(s:rwed,o:rwed,g:re,w:re)
$	if verbose then write sys$output "	", "setting INSTALL to ", INSTALL
$	if f$type (INSTALL_PROGRAM) .eqs. "" THEN -
	INSTALL_PROGRAM:=copy/prot=(s:rwed,o:rwed,g:re,w:re)
$	if verbose then write sys$output "	", "setting INSTALL_PROGRAM to ", INSTALL_PROGRAM
$	if f$type (INSTALL_DATA) .eqs. "" THEN -
	INSTALL_DATA:=copy/prot=(s:rwd,o:rwd,g:r,w:r)
$	if verbose then write sys$output "	", "setting INSTALL_DATA to ", INSTALL_DATA
$
$	if "" .nes. f$search ("confdefs.h") then delete/nolog confdefs.h.*
$	ac_prsub_counter = 0
$	if "''prefix'" .nes. ""
$	then
$	    ac_prsub_counter = ac_prsub_counter + 1
$	    ac_prsub_support'ac_prsub_counter'="__ac_prsub_tmp:='prefix'"
$	    ac_prsub'ac_prsub_counter' = "sr1_naked (""""prefix"""", """"'"+"'__ac_prsub_tmp'"""");"
$	endif
$
$	if "''exec_prefix'" .nes. ""
$	then
$	    ac_prsub_counter = ac_prsub_counter + 1
$	    ac_prsub_support'ac_prsub_counter'="__ac_prsub_tmp:='exec_prefix'"
$	    ac_prsub'ac_prsub_counter' = "sr1_naked (""""exec_prefix"""", """"'"+"'__ac_prsub_tmp'"""");"
$	endif
$
$
$	set noon
$	if f$search ("CONFIG.STATUS.*") .nes. "" then purge/nolog config.status
$	set on
$! trap 'rm -f config.status; exit 1' 1 2 15
$	write sys$output "creating config.status"
$	open/write config_status_file config.status
$	wcsf := write config_status_file
$	wcsf "$! Generated automatically by CONFIGURE.COM."
$	wcsf "$! Run this file to recreate the current configuration."
$	wcsf "$! This directory was configured as follows,"
$	wcsf "$! on host "+f$getsyi ("NODENAME")+":"
$	wcsf "$!"
$	__tmp_p = f$env ("PROCEDURE")
$	__tmp_p = f$parse (__tmp_p,,,"DEVICE")+f$parse (__tmp_p,,,"DIRECTORY")+ -
		  f$parse (__tmp_p,,,"NAME")+f$parse (__tmp_p,,,"TYPE")
$	wcsf "$! @"+__tmp_p+" "+configure_args
$	wcsf "$"
$	wcsf "$	set symbol/verb/scope=(noglobal,nolocal)"
$	wcsf "$"
$	wcsf "$	ac_cs_usage = ""Usage: config.status [--recheck] [--version] [--help]"""
$	wcsf "$	ac_will_recheck := no"
$	wcsf "$	ac_recheck_extra_args = """""
$	wcsf "$	ac_count = 8"
$	wcsf "$ config_status_loop1:"
$	wcsf "$	if ac_count .gt. 0"
$	wcsf "$	then"
$	wcsf "$	    if p'ac_count' .eqs. """""
$	wcsf "$	    then"
$	wcsf "$		ac_count = ac_count - 1"
$	wcsf "$		goto config_status_loop1"
$	wcsf "$	    endif"
$	wcsf "$	endif"
$	wcsf "$	i = 0"
$	wcsf "$ config_status_loop2:"
$	wcsf "$	i = i + 1"
$	wcsf "$	if i .le. ac_count"
$	wcsf "$	then"
$	wcsf "$	    if p'i' .eqs. ""-RECHECK"" -"
$	wcsf "	    .or. p'i' .eqs. f$extract (0, f$length (p'i'), ""--RECHECK"")"
$	wcsf "$	    then"
$	wcsf "$		ac_will_recheck := yes"
$	wcsf "$		goto config_status_loop2"
$	wcsf "$	    endif"
$	wcsf "$	    if f$extract (0, f$locate (""="", p'i'), p'i') .eqs. f$extract (0, f$locate (""="", p'i'), ""--NEW-ARGS"")"
$	wcsf "$	    then"
$	wcsf "$		tmp = f$extract (f$locate (""="", p'i'), 999, p'i')"
$	wcsf "$		if tmp .nes. """" then ac_recheck_extra_args = ac_recheck_extra_args + "" "" + (tmp - ""="")"
$	wcsf "$		goto config_status_loop2"
$	wcsf "$	    endif"
$	wcsf "$	    if p'i' .eqs. ""-VERSION"" -"
$	wcsf "	    .or. p'i' .eqs. f$extract (0, f$length (p'i'), ""--VERSION"")"
$	wcsf "$	    then"
$	wcsf "$		write sys$output ""config.status generated by Autoconf for VMS version 1.105"""
$	wcsf "$		exit 1"
$	wcsf "$	    endif"
$	wcsf "$	    if p'i' .eqs. ""-HELP"" -"
$	wcsf "	    .or. p'i' .eqs. f$extract (0, f$length (p'i'), ""--HELP"")"
$	wcsf "$	    then"
$	wcsf "$		write sys$output ac_cs_usage"
$	wcsf "$		exit $status"
$	wcsf "$	    endif"
$	wcsf "$	    if p'i' .nes. """""
$	wcsf "$	    then"
$	wcsf "$		write sys$error ac_cs_usage"
$	wcsf "$		exit 0"
$	wcsf "$	    endif"
$	wcsf "$	    goto config_status_loop2"
$	wcsf "$	endif"
$	wcsf "$"
$	wcsf "$	if ac_will_recheck"
$	wcsf "$	then"
$	wcsf "$	    write sys$output ""@"+__tmp_p+" "+configure_args+""",ac_recheck_extra_args"
$	wcsf "$	    @"+__tmp_p+" "+f$edit (configure_args, "TRIM")+"'ac_recheck_extra_args'"
$	wcsf "$	    exit $status"
$	wcsf "$	endif"
$	wcsf "$"
$	wcsf "$	LDFLAGS = ""''LDFLAGS'"""
$	wcsf "$	version = ""''version'"""
$	wcsf "$	version_underscore = ""''version_underscore'"""
$	wcsf "$	M4 = ""''M4'"""
$	wcsf "$	INSTALL = ""''INSTALL'"""
$	wcsf "$	INSTALL_PROGRAM = ""''INSTALL_PROGRAM'"""
$	wcsf "$	INSTALL_DATA = ""''INSTALL_DATA'"""
$	wcsf "$	LIBS = ""''LIBS'"""
$	wcsf "$	OPTS = ""''OPTS'"""
$	wcsf "$	srcdir_dev = ""''srcdir_dev'"""
$	wcsf "$	srcdir_dir = ""''srcdir_dir'"""
$	wcsf "$	srcdir = ""''srcdir'"""
$	wcsf "$	top_srcdir_dev = ""''top_srcdir_dev'"""
$	wcsf "$	top_srcdir_dir = ""''top_srcdir_dir'"""
$	wcsf "$	top_srcdir = ""''top_srcdir'"""
$	wcsf "$	prefix_dev = ""''prefix_dev'"""
$	wcsf "$	prefix_dir = ""''prefix_dir'"""
$	wcsf "$	prefix = ""''prefix'"""
$	wcsf "$	exec_prefix_dev = ""''exec_prefix_dev'"""
$	wcsf "$	exec_prefix_dir = ""''exec_prefix_dir'"""
$	wcsf "$	exec_prefix = ""''exec_prefix'"""
$	wcsf "$	bindir = ""''bindir'"""
$	wcsf "$	infodir = ""''infodir'"""
$	wcsf "$	libdir_dev = ""''libdir_dev'"""
$	wcsf "$	libdir_dir = ""''libdir_dir'"""
$	wcsf "$	libdir = ""''libdir'"""
$	wcsf "$	startupdir = ""''startupdir'"""
$	if f$type (DEFS_COUNTER) .eqs. "" then DEFS_COUNTER = 0
$	DEFSC = 0
$	DEFS_prefix = "$	DEFS:="
$ DEFS_SUBST_VMS_LABLE2:
$	DEFSC = DEFSC + 1
$	if DEFSC .le. DEFS_COUNTER
$	then
$	    DEFS = DEFS'DEFSC'
$
$	    DEFS_ACC = f$element (0, """", DEFS)
$	    DEFSI = 1
$ DEFS_SUBST_VMS_LABLE4:
$	    DEFS_EL = f$element (DEFSI, """", DEFS)
$	    if DEFS_EL .nes. """"
$	    then
$		DEFSI = DEFSI + 1
$		DEFS_ACC = DEFS_ACC + """""""""" + DEFS_EL
$		goto DEFS_SUBST_VMS_LABLE4
$	    endif
$	    if DEFSC .lt. DEFS_COUNTER
$	    then
$		wcsf "''DEFS_prefix'""''DEFS_ACC'"",-"
$	    else
$		wcsf "''DEFS_prefix'""''DEFS_ACC'"""
$	    endif
$	    DEFS_prefix = ""
$	    goto DEFS_SUBST_VMS_LABLE2
$	endif
$
$	DEFSC = 0
$	QUOTED_DEFS_prefix = "$	QUOTED_DEFS:="
$ DEFS_SUBST_VMS_LABLE3:
$	DEFSC = DEFSC + 1
$	if DEFSC .le. DEFS_COUNTER
$	then
$	    DEFS = DEFS'DEFSC'
$
$	    QUOTED_DEFS_ACC = f$element (0, """", DEFS)
$	    DEFSI = 1
$ DEFS_SUBST_VMS_LABLE5:
$	    DEFS_EL = f$element (DEFSI, """", DEFS)
$	    if DEFS_EL .nes. """"
$	    then
$		DEFSI = DEFSI + 1
$		QUOTED_DEFS_ACC = QUOTED_DEFS_ACC + """""""""""""""""" + DEFS_EL
$		goto DEFS_SUBST_VMS_LABLE5
$	    endif
$	    if DEFSC .lt. DEFS_COUNTER
$	    then
$		wcsf "''QUOTED_DEFS_prefix'""''QUOTED_DEFS_ACC'"",-"
$	    else
$		wcsf "''QUOTED_DEFS_prefix'""''QUOTED_DEFS_ACC'"""
$	    endif
$	    QUOTED_DEFS_prefix = ""
$	    goto DEFS_SUBST_VMS_LABLE3
$	endif
$	ac_i = 0
$ ac_prsub_loop:
$	ac_i = ac_i + 1
$	if f$type (ac_prsub'ac_i') .nes. ""
$	then
$	    if f$type (ac_prsub_support'ac_i') .nes. ""
$	    then
$		ac_tmp = ac_prsub_support'ac_i'
$		wcsf "$	", ac_tmp
$	    endif
$	    ac_tmp = ac_prsub'ac_i'
$	    wcsf "$	ac_prsub''ac_i'=""", ac_tmp, """"
$	    goto ac_prsub_loop
$	endif
$	wcsf "$	LDFLAGS := 'LDFLAGS'"
$	wcsf "$	version := 'version'"
$	wcsf "$	version_underscore := 'version_underscore'"
$	wcsf "$	M4 := 'M4'"
$	wcsf "$	INSTALL := 'INSTALL'"
$	wcsf "$	INSTALL_PROGRAM := 'INSTALL_PROGRAM'"
$	wcsf "$	INSTALL_DATA := 'INSTALL_DATA'"
$	wcsf "$	LIBS := 'LIBS'"
$	wcsf "$	OPTS := 'OPTS'"
$	wcsf "$	srcdir_dev := 'srcdir_dev'"
$	wcsf "$	srcdir_dir := 'srcdir_dir'"
$	wcsf "$	srcdir := 'srcdir'"
$	wcsf "$	top_srcdir_dev := 'top_srcdir_dev'"
$	wcsf "$	top_srcdir_dir := 'top_srcdir_dir'"
$	wcsf "$	top_srcdir := 'top_srcdir'"
$	wcsf "$	prefix_dev := 'prefix_dev'"
$	wcsf "$	prefix_dir := 'prefix_dir'"
$	wcsf "$	prefix := 'prefix'"
$	wcsf "$	exec_prefix_dev := 'exec_prefix_dev'"
$	wcsf "$	exec_prefix_dir := 'exec_prefix_dir'"
$	wcsf "$	exec_prefix := 'exec_prefix'"
$	wcsf "$	bindir := 'bindir'"
$	wcsf "$	infodir := 'infodir'"
$	wcsf "$	libdir_dev := 'libdir_dev'"
$	wcsf "$	libdir_dir := 'libdir_dir'"
$	wcsf "$	libdir := 'libdir'"
$	wcsf "$	startupdir := 'startupdir'"
$	wcsf "$"
$	wcsf "$	ac_given_srcdir=srcdir"
$	wcsf "$	ac_given_srcdir_dev=srcdir_dev"
$	wcsf "$	ac_given_srcdir_dir=srcdir_dir"
$	wcsf "$"
$	wcsf "$	if f$type (CONFIG_FILES) .eqs. """" then CONFIG_FILES = """" +-"
$	wcsf "	"" descrip.mms"" +-"
$	wcsf "	"""""
$	wcsf "$	CONFIG_FILE_i = 0"
$	wcsf "$ config_status_loop3:"
$	wcsf "$	ac_file = f$element (CONFIG_FILE_i, "" "", CONFIG_FILES)"
$	wcsf "$	CONFIG_FILE_i = CONFIG_FILE_i + 1"
$	wcsf "$	if ac_file .eqs. """" then goto config_status_loop3"
$	wcsf "$	if ac_file .nes. "" """
$	wcsf "$	then"
$	wcsf "$	    ac_dir:="
$	wcsf "$	    ac_dir_tmp = ac_file"
$	wcsf "$ ac_loop_dir1:"
$	wcsf "$	    ac_dir_e = f$element (0, ""]"", ac_dir_tmp)"
$	wcsf "$	    if ac_dir_e .eqs. ac_dir_tmp then goto ac_loop_dir2"
$	wcsf "$	    ac_dir_e = ac_dir_e + ""]"""
$	wcsf "$	    ac_dir = ac_dir + ac_dir_e"
$	wcsf "$	    ac_dir_tmp = ac_dir_tmp - ac_dir_e"
$	wcsf "$	    goto ac_loop_dir1"
$	wcsf "$ ac_loop_dir2:"
$	wcsf "$	    ac_dir_e = f$element (0, "">"", ac_dir_tmp)"
$	wcsf "$	    if ac_dir_e .eqs. ac_dir_tmp then goto ac_end_dir"
$	wcsf "$	    ac_dir_e = ac_dir_e + "">"""
$	wcsf "$	    ac_dir = ac_dir + ac_dir_e"
$	wcsf "$	    ac_dir_tmp = ac_dir_tmp - ac_dir_e"
$	wcsf "$	    goto ac_loop_dir2"
$	wcsf "$ ac_end_dir:"
$	wcsf "$	    if ac_dir .nes. ac_file .and. ac_dir .nes. """" -"
$	wcsf "	    .and. ac_dir .nes. ""[]"""
$	wcsf "$	    then"
$	wcsf "$	    !# The file is in a subdirectory"
$	wcsf "$		set noon"
$	wcsf "$		if f$parse (ac_dir) .eqs. """" then create/dir 'ac_dir'"
$	wcsf "$		set on"
$	wcsf "$		ac_dir_tmp = ac_dir - ""[."" - ""<."" - ""["" - ""<"" - ""]"" - "">"""
$	wcsf "$		ac_dir_suffix:=.'ac_dir_tmp'"
$	wcsf "$	    else"
$	wcsf "$		ac_dir_suffix:="
$	wcsf "$	    endif"
$	wcsf "$"
$	wcsf "$	    ac_dashes:="
$	wcsf "$	    ac_dir_tmp=ac_dir_suffix"
$	wcsf "$ ac_loop_dashes:"
$	wcsf "$	    ac_dir_e = f$element (1, ""."", ac_dir_tmp)"
$	wcsf "$	    if ac_dir_e .eqs. ""."" then goto ac_end_dashes"
$	wcsf "$	    ac_dashes = ac_dashes + ""-"""
$	wcsf "$	    ac_dir_e = "".""+ac_dir_e"
$	wcsf "$	    ac_dir_tmp = ac_dir_tmp - ac_dir_e"
$	wcsf "$	    goto ac_loop_dashes"
$	wcsf "$ ac_end_dashes:"
$	wcsf "$	    if ac_given_srcdir .eqs. ""[]"""
$	wcsf "$	    then"
$	wcsf "$		srcdir := []"
$	wcsf "$		srcdir_dev :="
$	wcsf "$		srcdir_dir :="
$	wcsf "$		if ac_dir_suffix .eqs. """""
$	wcsf "$		then"
$	wcsf "$		    top_srcdir := []"
$	wcsf "$		    top_srcdir_dev :="
$	wcsf "$		    top_srcdir_dir :="
$	wcsf "$		else"
$	wcsf "$		    top_srcdir := ['ac_dashes']"
$	wcsf "$		    top_srcdir_dev :="
$	wcsf "$		    top_srcdir_dir = ac_dashes"
$	wcsf "$		endif"
$	wcsf "$	    else"
$	wcsf "$		if f$extract (0, 2, ac_given_srcdir_dir) .eqs. ""[."""
$	wcsf "$		then !# Relative path."
$	wcsf "$		    if ac_dashes .nes. """" then ac_dashes = ac_dashes + ""."""
$	wcsf "$		    srcdir_dir := 'ac_dashes'"+"'ac_given_srcdir_dir'"+"'ac_dir_suffix'"
$	wcsf "$		    srcdir_dev := 'ac_given_srcdir_dev'"
$	wcsf "$		    srcdir := 'srcdir_dev'['srcdir_dir']"
$	wcsf "$		    top_srcdir_dev := 'ac_given_srcdir_dev'"
$	wcsf "$		    top_srcdir_dir := 'ac_dashes'"+"'ac_given_srcdir_dir'"
$	wcsf "$		    top_srcdir := 'top_srcdir_dev'['top_srcdir_dir']"
$	wcsf "$		else"
$	wcsf "$		    srcdir_dir := 'ac_given_srcdir_dir'"+"'ac_dir_suffix'"
$	wcsf "$		    srcdir_dev := 'ac_given_srcdir_dev'"
$	wcsf "$		    srcdir := 'srcdir_dev'['srcdir_dir']"
$	wcsf "$		    top_srcdir_dev := 'ac_given_srcdir_dev'"
$	wcsf "$		    top_srcdir_dir := 'ac_given_srcdir_dir'"
$	wcsf "$		    top_srcdir := 'top_srcdir_dev'['top_srcdir_dir']"
$	wcsf "$		endif"
$	wcsf "$	    endif"
$	wcsf "$"
$	wcsf "$	    write sys$output ""creating '"+"'ac_file'"""
$	wcsf "$	    set noon"
$	wcsf "$	    ac_tmp = f$parse (ac_file, ""*.*;*"")"
$	wcsf "$!	    if f$search (ac_tmp) .nes. """" then delete/nolog 'ac_tmp'"
$	wcsf "$	    ac_input_file_type = f$parse (ac_file,,,""TYPE"")"
$	wcsf "$	    ac_input_file := 'f$element (0, "";"", ac_file)'"
$	wcsf "$	    ac_input_file_len = f$length (ac_input_file)-f$length (ac_input_file_type)"
$	wcsf "$	    !sh sym ac_input_file*"
$	wcsf "$	    if f$extract (ac_input_file_len, f$length (ac_input_file_type), ac_input_file) .nes. ac_input_file_type then ac_input_file_len = f$length (ac_input_file)"
$	wcsf "$	    ac_input_file = f$extract (0, ac_input_file_len, ac_input_file)"
$	wcsf "$	    ac_input_file_dir = f$extract (0, ac_input_file_len-f$length (f$parse (ac_input_file,,,""NAME"")), ac_input_file)"
$	wcsf "$	    ac_input_file = ac_input_file-ac_input_file_dir"
$	wcsf "$	    !sh sym ac_input_file*"
$	wcsf "$	    !set verify"
$	wcsf "$	    comment_str = ac_file + "".  Generated from "" +-"
$	wcsf "		ac_input_file + ac_input_file_type + ""_in by CONFIGURE.COM."""
$	wcsf "$	    open/write config_status_dest 'ac_file'"
$	wcsf "$	    open/write config_status_tpu confstat.tpu"
$	wcsf "$	    wcst := write config_status_tpu"
$	wcsf "$	    type sys$input:/out=config_status_tpu"
$	wcsf "procedure sr1_naked (var, value)"
$	wcsf "	local r;"
$	wcsf "	position (beginning_of (main_buffer));"
$	wcsf "	r := search_quietly (LINE_BEGIN + (var + (wseq @ r1)) @ r0 + LINE_END, FORWARD);"
$	wcsf "	if (r = 0)"
$	wcsf "	then"
$	wcsf "		position (beginning_of (main_buffer));"
$	wcsf "		r := search_quietly (LINE_BEGIN + (var + (wseq @ r1) + scan ("""")) @ r0 + LINE_END, FORWARD);"
$	wcsf "	endif;"
$	wcsf "	if (r <> 0)"
$	wcsf "	then"
$	wcsf "		erase (r0);"
$	wcsf "		position (r0);"
$	wcsf "		copy_text (var + ""="" + value);"
$	wcsf "	endif;"
$	wcsf "endprocedure;"
$	wcsf "procedure gsr_at_at (var, value)"
$	wcsf "	local r, v;"
$	wcsf "	v := ""@"" + var + ""@"";"
$	wcsf "	position (beginning_of (main_buffer));"
$	wcsf "	loop"
$	wcsf "		r := search_quietly (v, FORWARD);"
$	wcsf "		EXITIF r = 0;"
$	wcsf "		erase (r);"
$	wcsf "		position (r);"
$	wcsf "		copy_text (value);"
$	wcsf "		position (end_of (r));"
$	wcsf "	endloop;"
$	wcsf "endprocedure;"
$	wcsf "! This is the main thing."
$	wcsf "input_file := GET_INFO (COMMAND_LINE, ""file_name"");"
$	wcsf "main_buffer := CREATE_BUFFER (""main"", input_file);"
$	wcsf "wseq := (span ("" "" + ASCII (9)) | """") + ""="";"
$	wcsf "! Here it is time to put the calls."
$	wcsf "$	    !set noverify"
$	wcsf "$	    ac_i = 0"
$	wcsf "$ ac_prsub_write_loop:"
$	wcsf "$	    ac_i = ac_i + 1"
$	wcsf "$	    if f$type (ac_prsub'ac_i') .nes. """""
$	wcsf "$	    then"
$	wcsf "$		ac_tmp = ac_prsub'ac_i'"
$	wcsf "$		wcst ac_tmp"
$	wcsf "$		goto ac_prsub_write_loop"
$	wcsf "$	    endif"
$	wcsf "$	    wcst ""gsr_at_at (""""configure_input"""", """"'"+"'comment_str'"""");"""
$	wcsf "$	__config_status_tmp := 'LDFLAGS'"
$	wcsf "$	wcst ""gsr_at_at (""""LDFLAGS"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'version'"
$	wcsf "$	wcst ""gsr_at_at (""""version"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'version_underscore'"
$	wcsf "$	wcst ""gsr_at_at (""""version_underscore"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'M4'"
$	wcsf "$	wcst ""gsr_at_at (""""M4"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'INSTALL'"
$	wcsf "$	wcst ""gsr_at_at (""""INSTALL"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'INSTALL_PROGRAM'"
$	wcsf "$	wcst ""gsr_at_at (""""INSTALL_PROGRAM"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'INSTALL_DATA'"
$	wcsf "$	wcst ""gsr_at_at (""""INSTALL_DATA"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'LIBS'"
$	wcsf "$	wcst ""gsr_at_at (""""LIBS"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'OPTS'"
$	wcsf "$	wcst ""gsr_at_at (""""OPTS"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'srcdir_dev'"
$	wcsf "$	wcst ""gsr_at_at (""""srcdir_dev"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'srcdir_dir'"
$	wcsf "$	wcst ""gsr_at_at (""""srcdir_dir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'srcdir'"
$	wcsf "$	wcst ""gsr_at_at (""""srcdir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'top_srcdir_dev'"
$	wcsf "$	wcst ""gsr_at_at (""""top_srcdir_dev"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'top_srcdir_dir'"
$	wcsf "$	wcst ""gsr_at_at (""""top_srcdir_dir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'top_srcdir'"
$	wcsf "$	wcst ""gsr_at_at (""""top_srcdir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'prefix_dev'"
$	wcsf "$	wcst ""gsr_at_at (""""prefix_dev"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'prefix_dir'"
$	wcsf "$	wcst ""gsr_at_at (""""prefix_dir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'prefix'"
$	wcsf "$	wcst ""gsr_at_at (""""prefix"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'exec_prefix_dev'"
$	wcsf "$	wcst ""gsr_at_at (""""exec_prefix_dev"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'exec_prefix_dir'"
$	wcsf "$	wcst ""gsr_at_at (""""exec_prefix_dir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'exec_prefix'"
$	wcsf "$	wcst ""gsr_at_at (""""exec_prefix"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'bindir'"
$	wcsf "$	wcst ""gsr_at_at (""""bindir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'infodir'"
$	wcsf "$	wcst ""gsr_at_at (""""infodir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'libdir_dev'"
$	wcsf "$	wcst ""gsr_at_at (""""libdir_dev"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'libdir_dir'"
$	wcsf "$	wcst ""gsr_at_at (""""libdir_dir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'libdir'"
$	wcsf "$	wcst ""gsr_at_at (""""libdir"""", """""", __config_status_tmp, """""");"""
$	wcsf "$	__config_status_tmp := 'startupdir'"
$	wcsf "$	wcst ""gsr_at_at (""""startupdir"""", """""", __config_status_tmp, """""");"""
$	if f$type (DEFS_COUNTER) .eqs. "" then DEFS_COUNTER = 0
$	DEFSC = 0
$ DEFS_SUBST_VMS_LABLE0:
$	DEFSC = DEFSC + 1
$	if DEFSC .le. DEFS_COUNTER
$	then
$	    DEFS = DEFS'DEFSC'
$
$	    DEFS_ACC = f$element (0, """", DEFS)
$	    QUOTED_DEFS_ACC = DEFS_ACC
$	    DEFSI = 1
$ DEFS_SUBST_VMS_LABLE1:
$	    DEFS_EL = f$element (DEFSI, """", DEFS)
$	    if DEFS_EL .nes. """"
$	    then
$		DEFSI = DEFSI + 1
$		DEFS_ACC = DEFS_ACC + """""""""""""""""" + DEFS_EL
$		QUOTED_DEFS_ACC = QUOTED_DEFS_ACC + """""""""""""""""""""""""""""""""" + DEFS_EL
$		goto DEFS_SUBST_VMS_LABLE1
$	    endif
$	    if DEFSC .lt. DEFS_COUNTER
$	    then
$		wcsf "$	wcst ""gsr_at_at (""""DEFS"""", """"''DEFS_ACC',@DEFS@"""");"""
$		wcsf "$	wcst ""gsr_at_at (""""QUOTED_DEFS"""", """"""""""""''QUOTED_DEFS_ACC'"""""""",@QUOTED_DEFS@"""");"""
$	    else
$		wcsf "$	wcst ""gsr_at_at (""""DEFS"""", """"''DEFS_ACC'"""");"""
$		wcsf "$	wcst ""gsr_at_at (""""QUOTED_DEFS"""", """"""""""""''QUOTED_DEFS_ACC'"""""""""""");"""
$	    endif
$	    goto DEFS_SUBST_VMS_LABLE0
$	endif
$	wcsf "$	    !set verify"
$	wcsf "$	    type sys$input:/out=config_status_tpu"
$	wcsf "! Now let's save it all"
$	wcsf "WRITE_FILE (main_buffer, GET_INFO (COMMAND_LINE, ""output_file""));"
$	wcsf "quit;"
$	wcsf "$	    delete/symbol/local wcst"
$	wcsf "$	    close config_status_tpu"
$	wcsf "$	    if ac_input_file_type .eqs. ""."""
$	wcsf "$	    then ac_input_file = ac_input_file + "".IN"""
$	wcsf "$	    else ac_input_file = ac_input_file + ac_input_file_type + ""_IN"""
$	wcsf "$	    endif"
$	wcsf "$	    save_def = f$environment (""DEFAULT"")"
$	wcsf "$	    if ac_given_srcdir .nes. """" then set default 'ac_given_srcdir'"
$	wcsf "$	    if ac_input_file_dir .nes. """" then set default 'ac_input_file_dir'"
$	wcsf "$	    ac_input_file_dir = f$environment (""DEFAULT"")"
$	wcsf "$	    set default 'save_def'"
$	wcsf "$	__debug = f$trnlnm (""DEBUG_CONFIGURE"")"
$	wcsf "$	if .not. __debug then __save_mesg_VMS_LABLE0 = f$environment (""MESSAGE"")"
$	wcsf "$	if .not. __debug then set message/nofacility/noident/noseverity/notext"
$	wcsf "$	if .not. __debug then def/user sys$output nl:"
$	wcsf "$	if .not. __debug then def/user sys$error nl:"
$	wcsf "$	edit/tpu/nosection/command=confstat.tpu/nodisplay -"
$	wcsf "	'ac_input_file_dir'"+"'ac_input_file' /out=config_status_dest"
$	wcsf "$	if .not. __debug then set message '__save_mesg_VMS_LABLE0'"
$	wcsf "$"
$	wcsf "$	    close config_status_dest"
$	wcsf "$	    set noon"
$	wcsf "$	    if """" .nes. f$search (""confstat.tpu"") then delete/nolog confstat.tpu.*"
$	wcsf "$! Description files are often check for dependencies, so don't check"
$	wcsf "$! if they have changed.  Scripts on the ofter hand..."
$	wcsf "$!$	    if f$parse (file,,,""TYPE"") .eqs. "".COM"" -"
$	wcsf "$!	    .and. f$search (file) .nes. """" then -"
$	wcsf "$!	    diff conftest.out 'file'/out=nla0:"
$	wcsf "$!$	    if $status .eq. %X06c8009 ! code for no change"
$	wcsf "$!$	    then"
$	wcsf "$!$		! The file exists and we would not be changing it."
$	wcsf "$!$		write sys$output ""'"+"'file' is unchanged."""
$	wcsf "$!$	    else"
$	wcsf "$!$		copy conftest.out 'file'"
$	wcsf "$!$		purge/nolog 'file'"
$	wcsf "$!$	    endif"
$	wcsf "$!$	    if f$search (""conftest.out.*"") .nes. """" then delete/nolog conftest.out.*"
$	wcsf "$	    set on"
$	wcsf "$	    goto config_status_loop3"
$	wcsf "$	endif"
$
$	wcsf "$"
$	wcsf "$	srcdir=ac_given_srcdir"
$	wcsf "$	srcdir_dev=ac_given_srcdir_dev"
$	wcsf "$	srcdir_dir=ac_given_srcdir_dir"
$	wcsf "$"

$	wcsf "$	exit"
$	delete/symbol/local wcsf
$	close config_status_file
$	set file/prot=(s:rwed,o:rwed,g:re,w:re) config.status
$	delete/symbol/global ac_rexp
$	if "YES" .nes. "''no_create'" then @config.status
$
